org.apache.hive.jdbc

## Class HttpRequestInterceptorBase

- java.lang.Object
- - org.apache.hive.jdbc.HttpRequestInterceptorBase

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

Direct Known Subclasses:
  HttpBasicAuthInterceptor, HttpJwtAuthRequestInterceptor, HttpKerberosRequestInterceptor, HttpSamlAuthRequestInterceptor, HttpTokenAuthInterceptor

    public abstract class HttpRequestInterceptorBase
    extends Object
    implements org.apache.http.HttpRequestInterceptor

### Constructor Summary

Constructors
Constructor and Description
`HttpRequestInterceptorBase(org.apache.http.client.CookieStore cs, String cn, boolean isSSL, Map<String,String> additionalHeaders, Map<String,String> customCookies)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `addHttpAuthHeader(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`
`void` `process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpRequestInterceptorBase

    public HttpRequestInterceptorBase(org.apache.http.client.CookieStore cs,
                                      String cn,
                                      boolean isSSL,
                                      Map<String,String> additionalHeaders,
                                      Map<String,String> customCookies)

### Method Detail

#### addHttpAuthHeader

    protected abstract void addHttpAuthHeader(org.apache.http.HttpRequest httpRequest,
                                              org.apache.http.protocol.HttpContext httpContext)
                                       throws Exception

Throws:
  `Exception`

#### process

    public void process(org.apache.http.HttpRequest httpRequest,
                        org.apache.http.protocol.HttpContext httpContext)
                 throws org.apache.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`